<?php
/**
 * start Theme Customizer
 *
 * @package start
 */


/****************************************************
* Customizer controls
****************************************************/

// Configuration
Kirki::add_config( 'start', array(
	'capability'    => 'edit_theme_options',
	'option_type'   => 'theme_mod',
) );

/****************************************************
* Panels
****************************************************/

Kirki::add_panel( 'layout', array(
    'priority'    => 30,
    'title'       => __( 'Layouts', 'start' ),
    'description' => __( 'Site Layouts', 'start' ),
) );


Kirki::add_panel( 'typography', array(
    'priority'    => 30,
    'title'       => __( 'Typography', 'start' ),
    'description' => __( 'Site Typography', 'start' ),
) );


Kirki::add_panel( 'theme_colors', array(
    'priority'    => 30,
    'title'       => __( 'Colors & Backgrounds', 'start' ),
    'description' => __( 'Site Colors', 'start' ),
) );


/****************************************************
* Sections
****************************************************/

/*--------------------------------------------------------------
# Layouts Sections
--------------------------------------------------------------*/

// Site Layout Section
Kirki::add_section( 'container_layout', array(
    'title'          => __( 'Conatiner', 'start' ),
    'panel'          => 'layout',
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
) );

// Header Section
Kirki::add_section( 'header_layout', array(
    'title'          => __( 'Header Layout', 'start' ),
    'panel'          => 'layout',
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
) );

// Blog Archive Section
Kirki::add_section( 'blog_archive', array(
    'title'          => __( 'Blog / Archive', 'start' ),
    'panel'          => 'layout',
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
) );

// Blog Single Section
Kirki::add_section( 'blog_single', array(
    'title'          => __( 'Blog Single', 'start' ),
    'panel'          => 'layout',
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
) );

// Sidebar Section
Kirki::add_section( 'sidebar_layout', array(
    'title'          => __( 'Sidebar', 'start' ),
    'panel'          => 'layout',
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
) );

// Footer Section
Kirki::add_section( 'footer_widgets', array(
    'title'          => __( 'Footer Widgets', 'start'  ),
    'panel'          => 'layout',
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
) );

// Footer bar
Kirki::add_section( 'footer_bar', array(
    'title'          => __( 'Footer Bar', 'start'  ),
    'panel'          => 'layout',
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
) );


/*--------------------------------------------------------------
# Colors Sections
--------------------------------------------------------------*/

// Base Colors
Kirki::add_section( 'base_color', array(
    'title'          => __( 'Base', 'start' ),
    'panel'          => 'theme_colors',
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
) );

// Header Colors
Kirki::add_section( 'header_color', array(
    'title'          => __( 'Header', 'start' ),
    'panel'          => 'theme_colors',
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
) );

// Primary Menu Colors
Kirki::add_section( 'primary_menu_color', array(
    'title'          => __( 'Primary Menu', 'start' ),
    'panel'          => 'theme_colors',
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
) );

// Headings Colors
Kirki::add_section( 'headings_color', array(
    'title'          => __( 'Headings', 'start'  ),
    'panel'          => 'theme_colors',
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
) );

// Blog / Single / Archive Colors
Kirki::add_section( 'blog_color', array(
    'title'          => __( 'Blog / Archive / Single', 'start'  ),
    'panel'          => 'theme_colors',
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
) );

// Sidebar Colors
Kirki::add_section( 'sidebar_color', array(
    'title'          => __( 'Sidebar', 'start' ),
    'panel'          => 'theme_colors',
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
) );

// Widgets Colors
Kirki::add_section( 'footer_color', array(
    'title'          => __( 'Footer', 'start' ),
    'panel'          => 'theme_colors',
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
) );

// Copyright Colors
Kirki::add_section( 'Copyright_color', array(
    'title'          => __( 'Copyright', 'start' ),
    'panel'          => 'theme_colors',
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
) );


/*--------------------------------------------------------------
# Typography Sections
--------------------------------------------------------------*/

// Base Typography Section
Kirki::add_section( 'base_typography', array(
    'title'          => __( 'Base', 'start'  ),
    'panel'          => 'typography',
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
) );

// Header Typography Section
Kirki::add_section( 'header_typography', array(
    'title'          => __( 'Header', 'start'  ),
    'panel'          => 'typography',
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
) );

// Primary Menu Typography Section
Kirki::add_section( 'primary_menu_typography', array(
    'title'          => __( 'Primary Menu', 'start'  ),
    'panel'          => 'typography',
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
) );

// Headings Typography Section
Kirki::add_section( 'headings_typography', array(
    'title'          => __( 'Headings', 'start'  ),
    'panel'          => 'typography',
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
) );

// Blog / Single / Archive Typography Section
Kirki::add_section( 'blog_typography', array(
    'title'          => __( 'Blog / Archive / Single', 'start'  ),
    'panel'          => 'typography',
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
) );

// Sidebar Typography Section
Kirki::add_section( 'sidebar_typography', array(
    'title'          => __( 'Sidebar', 'start'  ),
    'panel'          => 'typography',
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
) );

// Footer Typography Section
Kirki::add_section( 'footer_typography', array(
    'title'          => __( 'Footer', 'start'  ),
    'panel'          => 'typography',
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
) );

// Copyright Typography Section
Kirki::add_section( 'copyright_typography', array(
    'title'          => __( 'Copyright', 'start'  ),
    'panel'          => 'typography',
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
) );



/****************************************************
* Fields
****************************************************/

/*--------------------------------------------------------------
# Layout Fields
--------------------------------------------------------------*/

// Site Layout
Kirki::add_field( 'start', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'select_layout',
	'label'       => __( 'Select a Site Layout', 'start' ),
	'section'     => 'container_layout',
	'transport' => 'auto',
	'default'     => 'box-width',
	'choices'     => array(
		'box-width'   => esc_attr__( 'Boxed', 'start' ),
		'full-width' => esc_attr__( 'Full Width', 'start' ),
	),
) );

// Site Width
Kirki::add_field( 'start', array(
	'type'     => 'text',
	'settings' => 'site_width',
	'label'    => __( 'Site Width', 'start' ),
	'section'  => 'container_layout',
	'transport' => 'auto',
	'default'  => __( '1170px', 'start' ),
	'active_callback'  => array(
		array(
			'setting'  => 'select_layout',
			'operator' => '==',
			'value'    => 'box-width',
		),
	),
	'output' => array(
		array(
			'element'  => '.container',
			'property' => 'width',
		),
	),
) );

// Header Layout
Kirki::add_field( 'start', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'header_layout',
	'label'       => __( 'Select a Header Layout', 'start' ),
	'section'     => 'header_layout',
	'transport' => 'auto',
	'default'     => 'header-left',
	'choices'     => array(
		'header-left'   => esc_attr__( 'Left', 'start' ),
		'header-center' => esc_attr__( 'Center', 'start' ),
		'header-right'  => esc_attr__( 'Right', 'start' ),
	),
) );

// Blog / Archive Layout
Kirki::add_field( 'start', array(
    'type'        => 'sortable',
    'settings'    => 'blog_posts_layout',
    'label'       => __( 'Blog Posts Layout', 'start' ),
    'section'     => 'blog_archive',
    'default'     => array(
        'thumbnail',
        'title',
        'meta',
        'content'
    ),
    'choices'     => array(
        'thumbnail' => __( 'Featured Image', 'start' ),
        'title'          => __( 'Title', 'start' ),
        'meta'           => __( 'Meta', 'start' ),
        'content'        => __( 'Content', 'start' ),
    ),
) );

// Blog / Archive Meta Layout
Kirki::add_field( 'start', array(
    'type'        => 'sortable',
    'settings'    => 'blog_posts_meta_layout',
    'label'       => __( 'Blog Posts Meta Layout', 'start' ),
    'section'     => 'blog_archive',
    'default'     => array(
        'author',
        'date',
        'category',        
        'comments'
    ),
    'choices'     => array(
        'author' => __( 'Author', 'start' ),
        'date'           => __( 'Date', 'start' ),
        'category'          => __( 'Category', 'start' ),
        'comments'        => __( 'Comments', 'start' ),
        'tags'        => __( 'Tags', 'start' ),
    ),
) );

// Single Post Layout
Kirki::add_field( 'start', array(
    'type'        => 'sortable',
    'settings'    => 'single_post_layout',
    'label'       => __( 'Single Post Layout', 'start' ),
    'section'     => 'blog_single',
    'default'     => array(
        'thumbnail',
        'title',
        'meta',
        'content'
    ),
    'choices'     => array(
        'thumbnail' => __( 'Featured Image', 'start' ),
        'title'          => __( 'Title', 'start' ),
        'meta'           => __( 'Meta', 'start' ),
        'content'        => __( 'Content', 'start' ),
    ),
) );

// Single Post Meta Layout
Kirki::add_field( 'start', array(
    'type'        => 'sortable',
    'settings'    => 'single_posts_meta_layout',
    'label'       => __( 'Single Posts Meta Layout', 'start' ),
    'section'     => 'blog_single',
    'default'     => array(
        'author',
        'date',
        'category',
        'comments'
    ),
    'choices'     => array(
        'author' => __( 'Author', 'start' ),
        'date'           => __( 'Date', 'start' ),
        'category'          => __( 'Category', 'start' ),
        'comments'        => __( 'Comments', 'start' ),
        'tags'        => __( 'Tags', 'start' ),
    ),
) );

// Link Post Titles
Kirki::add_field( 'start', array(
    'type'        => 'toggle',
    'settings'    => 'blog_archive_title_linkable',
    'label'       => __( 'Link Title', 'start' ),
    'section'     => 'blog_archive',
    'default'     => '1',
) );

// Link Post Thumbnails
Kirki::add_field( 'start', array(
    'type'        => 'toggle',
    'settings'    => 'blog_archive_thumbnail_linkable',
    'label'       => __( 'Link Thumbnail', 'start' ),
    'section'     => 'blog_archive',
    'default'     => '1',
) );

// Blog / Archive Excerpt / Content
Kirki::add_field( 'start', array(
    'type'        => 'select',
    'settings'    => 'blog_archive_content_excerpt',
    'label'       => __( 'Content / Excerpt', 'start' ),
    'section'     => 'blog_archive',
    'default'     => 'blog_archive_excerpt',
    'multiple'    => 1,
    'choices'     => array(
        'blog_archive_excerpt' => esc_attr__( 'Excerpt', 'start' ),
        'blog_archive_content' => esc_attr__( 'Content', 'start' ),
    ),
) );

// Blog / Archive Excerpt Length
Kirki::add_field( 'start', array(
    'type'        => 'number',
    'settings'    => 'blog_archive_excerpt_length',
    'label'       => esc_attr__( 'Excerpt Length', 'start' ),
    'section'     => 'blog_archive',
    'default'     => 55,
    'active_callback'  => array(
        array(
            'setting'  => 'blog_archive_content_excerpt',
            'operator' => '==',
            'value'    => 'blog_archive_excerpt',
        ),
    ),
) );

// Blog / Archive / Single Meta seprator
Kirki::add_field( 'start', array(
    'type'        => 'radio-buttonset',
    'settings'    => 'blog_archive_single_meta_sep',
    'label'       => __( 'Meta Separator Icon', 'start' ),
    'section'     => 'blog_archive',
    'transport' => 'auto',
    'default'     => '/',
     'suffix'   => '"',
    'choices'     => array(
        '/'   => esc_attr__( '/', 'start' ),
        '-' => esc_attr__( '-', 'start' ),
        '|' => esc_attr__( '|', 'start' ),
    ),
    'output' => array(
        array(
            'element'  => '.entry-meta span::after',
            'property' => 'content',
            'prefix'   => '"',
            'suffix'   => '"',
        ),
    ),
    'js_vars'     => array(
        array(
            'element'  => '.entry-meta span::after',
            'function' => 'css',
            'property' => 'content',
            'prefix'   => '"',
            'suffix'   => '"',
        ),
    ),
) );

// Blog / Archive Button Headline
Kirki::add_field( 'start', array(
    'type'        => 'custom',
    'settings'    => 'blog_button_headline',
    'section'     => 'blog_archive',
    'default'     => '<div style="border-bottom: 1px solid #d5d8dc;line-height: 2em;font-size: 20px;text-transform: capitalize; font-weight: 600;">' . esc_html__( 'Read More', 'start' ) . '</div>',
) );

// Blog Button Text
Kirki::add_field( 'start', array(
    'type'     => 'text',
    'settings' => 'blog_btn_text',
    'label'    => __( 'Button Text', 'start' ),
    'section'  => 'blog_archive',
    'transport' => 'auto',
    'default'  => __( 'Read More', 'start' ),
) );

// Button Position
Kirki::add_field( 'start', array(
    'type'        => 'radio-buttonset',
    'settings'    => 'blog_archive_button_position',
    'label'       => __( 'Button Position', 'start' ),
    'section'     => 'blog_archive',
    'transport' => 'auto',
    'default'     => 'btn_left',
    'choices'     => array(
        'btn_left'   => esc_attr__( 'Left', 'start' ),
        'btn_right' => esc_attr__( 'Right', 'start' ),
        'btn_full' => esc_attr__( 'Full Width', 'start' ),
    ),

) );

// Button Icon Show / Hide
Kirki::add_field( 'start', array(
    'type'        => 'toggle',
    'settings'    => 'blog_archive_button_icon_toggle',
    'label'       => __( 'Use Button Icon', 'start' ),
    'section'     => 'blog_archive',
    'default'     => '1',
) );

// Button Icon Left / Right
Kirki::add_field( 'start', array(
    'type'        => 'radio-buttonset',
    'settings'    => 'blog_archive_button_icon_position',
    'label'       => __( 'Button Icon Position', 'start' ),
    'section'     => 'blog_archive',
    'transport' => 'auto',
    'default'     => 'icon_right',
    'choices'     => array(
        'icon_left'   => esc_attr__( 'Icon Left', 'start' ),
        'icon_right' => esc_attr__( 'Icon Right', 'start' ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'blog_archive_button_icon_toggle',
            'operator' => '==',
            'value'    => '1',
        ),
    ),
) );

// Button Icon Left
Kirki::add_field( 'start', array(
    'type'        => 'radio-buttonset',
    'settings'    => 'blog_archive_button_left_icon',
    'label'       => __( 'Left Icon', 'start' ),
    'section'     => 'blog_archive',
    'transport' => 'auto',
    'default'     => '&#171;',
    'choices'     => array(
        '&#171;'   => esc_attr__( '«', 'start' ),
        '&#8249;' => esc_attr__( '‹', 'start' ),
        '&#8592;' => esc_attr__( '←', 'start' ),
        '&#9668;' => esc_attr__( '◄', 'start' ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'blog_archive_button_icon_position',
            'operator' => '==',
            'value'    => 'icon_left',
        ),
         array(
            'setting'  => 'blog_archive_button_icon_toggle',
            'operator' => '==',
            'value'    => '1',
        ),
    ),
) );

// Button Icon Right
Kirki::add_field( 'start', array(
    'type'        => 'radio-buttonset',
    'settings'    => 'blog_archive_button_right_icon',
    'label'       => __( 'Right Icon', 'start' ),
    'section'     => 'blog_archive',
    'transport' => 'auto',
    'default'     => '&#187;',
    'choices'     => array(
        '&#187;'   => esc_attr__( '»', 'start' ),
        '&#8250;' => esc_attr__( '›', 'start' ),
        '&#8594;' => esc_attr__( '→', 'start' ),
        '&#9658;' => esc_attr__( '►', 'start' ),
    ),
    'active_callback'  => array(
        array(
            'setting'  => 'blog_archive_button_icon_position',
            'operator' => '==',
            'value'    => 'icon_right',
        ),
        array(
            'setting'  => 'blog_archive_button_icon_toggle',
            'operator' => '==',
            'value'    => '1',
        ),
    ),
) );

// Sidebar Layout
Kirki::add_field( 'start', array(
    'type'        => 'radio-buttonset',
    'settings'    => 'sidebar_col',
    'label'       => __( 'Select a Sidebar Layout', 'start' ),
    'section'     => 'sidebar_layout',
    'transport' => 'auto',
    'default'     => 'right-sidebar',
    'choices'     => array(
        'no-sidebar'   => esc_attr__( 'Disable', 'start' ),
        'left-sidebar' => esc_attr__( 'Left', 'start' ),
        'right-sidebar'  => esc_attr__( 'Right', 'start' ),
    ),
) );

// Footer Layout
Kirki::add_field( 'start', array(
	'type'        => 'radio-buttonset',
	'settings'    => 'footer_layout',
	'label'       => __( 'Select a footer Layout', 'start' ),
	'section'     => 'footer_widgets',
	'transport' => 'auto',
	'default'     => 'footer-no',
	'choices'     => array(
		'footer-no'   => esc_attr__( 'Disable', 'start' ),
		'footer-one' => esc_attr__( 'One', 'start' ),
		'footer-two'  => esc_attr__( 'Two', 'start' ),
		'footer-three'  => esc_attr__( 'Three', 'start' ),
		'footer-four'  => esc_attr__( 'Four', 'start' ),

	),
) );

// Footer Gutter Spacing
Kirki::add_field( 'start', array(
	'type'        => 'slider',
	'settings'    => 'footer_gutter',
	'label'       => __( 'Gutter Spacing', 'start' ),
	'section'     => 'footer_widgets',
	'transport' => 'postMessage',
	'default'     => 15,
	'choices'     => array(
		'min'  => '0',
		'max'  => '100',
		'step' => '1',
	),
	'active_callback'  => array(
		array(
			'setting'  => 'footer_layout',
			'operator' => '!=',
			'value'    => 'footer-no',
		),
		array(
			'setting'  => 'footer_layout',
			'operator' => '!=',
			'value'    => 'footer-one',
		),
	),
	'output' => array(
		array(
			'element'  => '.footer-area .container',
			'property' => 'grid-column-gap',
			'units'    => 'px',
		),
	),
	'js_vars'   => array(
		array(
			'element'  => '.footer-area .container',
			'function' => 'css',
			'property' => 'grid-column-gap',
			'units'    => 'px',
		),
	)
) );

// Footer Bar
Kirki::add_field( 'start', array(
	'type'     => 'textarea',
	'settings' => 'footer_copyright',
	'label'    => __( 'Copyright', 'start' ),
	'section'  => 'footer_bar',
	'transport' => 'auto',
	'default'  => __( 'Copyright &copy; 2017 | Powered by StartWP', 'start' ),
) );





/*--------------------------------------------------------------
# Typography Fields
--------------------------------------------------------------*/

// Body Typography
Kirki::add_field( 'start', array(
	'type'        => 'typography',
	'settings'    => 'body_typography',
	'label'       => __( 'Base', 'start' ),
	'section'     => 'base_typography',
	'transport' => 'auto',
	'default'     => array(
		'font-family'    => '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif',
		'variant'        => 'regular',
		'font-size'      => '17px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
	),
	'output'      => array(
		array(
			'element' => 'body',
		),
	),
) );

// Headings Typography
Kirki::add_field( 'start', array(
	'type'        => 'typography',
	'settings'    => 'headings_typography',
	'label'       => __( 'Headings', 'start' ),
	'section'     => 'base_typography',
	'transport' => 'auto',
	'default'     => array(
		'font-family'    => '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif',
		'variant'        => 'regular',
	),
	'output'      => array(
		array(
			'element' => array( 'h1', 'h2', 'h3', 'h4', 'h5', 'h6' ),
		),
	),
) );

// Header Site Title
Kirki::add_field( 'start', array(
	'type'        => 'typography',
	'settings'    => 'header_site_title',
	'label'       => __( 'Site Title', 'start' ),
	'section'     => 'header_typography',
	'transport' => 'auto',
	'default'     => array(
		'font-family'    => '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif',
		'variant'        => '700',
		'font-size'      => '45px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => '.site-title a',
		),
	),
) );

// Header Site Description
Kirki::add_field( 'start', array(
	'type'        => 'typography',
	'settings'    => 'header_site_description',
	'label'       => __( 'Site Description', 'start' ),
	'section'     => 'header_typography',
	'transport' => 'auto',
	'default'     => array(
		'font-family'    => '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif',
		'font-size'      => '14px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => '.site-description',
		),
	),
) );

// Primary Menu Typography
Kirki::add_field( 'start', array(
	'type'        => 'typography',
	'settings'    => 'primary_menu_typography',
	'label'       => __( 'Top Level Menu', 'start' ),
	'section'     => 'primary_menu_typography',
	'transport' => 'auto',
	'default'     => array(
		'font-family'    => '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif',
		'variant'        => 'regular',
		'font-size'      => '16px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => '.startmenu > ul > li > a',
		),
	),
) );

// Submenu Typography
Kirki::add_field( 'start', array(
	'type'        => 'typography',
	'settings'    => 'submenu_typography',
	'label'       => __( 'Sub Menu', 'start' ),
	'section'     => 'primary_menu_typography',
	'transport' => 'auto',
	'default'     => array(
		'font-family'    => '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif',
		'variant'        => 'regular',
		'font-size'      => '16px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => '.startmenu ul ul li a',
		),
	),
) );

// Heading H1
Kirki::add_field( 'start', array(
	'type'        => 'typography',
	'settings'    => 'h1_typography',
	'label'       => __( 'H1', 'start' ),
	'section'     => 'headings_typography',
	'transport' => 'auto',
	'default'     => array(
		'font-size'      => '48px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => 'h1',
		),
	),
) );

// Heading H2
Kirki::add_field( 'start', array(
	'type'        => 'typography',
	'settings'    => 'h2_typography',
	'label'       => __( 'H2', 'start' ),
	'section'     => 'headings_typography',
	'transport' => 'auto',
	'default'     => array(
		'font-size'      => '42px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => 'h2',
		),
	),
) );

// Heading H3
Kirki::add_field( 'start', array(
	'type'        => 'typography',
	'settings'    => 'h3_typography',
	'label'       => __( 'H3', 'start' ),
	'section'     => 'headings_typography',
	'transport' => 'auto',
	'default'     => array(
		'font-size'      => '30px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => 'h3',
		),
	),
) );

// Heading H4
Kirki::add_field( 'start', array(
	'type'        => 'typography',
	'settings'    => 'h4_typography',
	'label'       => __( 'H4', 'start' ),
	'section'     => 'headings_typography',
	'transport' => 'auto',
	'default'     => array(
		'font-size'      => '20px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => 'h4',
		),
	),
) );

// Heading H5
Kirki::add_field( 'start', array(
	'type'        => 'typography',
	'settings'    => 'h5_typography',
	'label'       => __( 'H5', 'start' ),
	'section'     => 'headings_typography',
	'transport' => 'auto',
	'default'     => array(
		'font-size'      => '18px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => 'h5',
		),
	),
) );

// Heading H6
Kirki::add_field( 'start', array(
	'type'        => 'typography',
	'settings'    => 'h6_typography',
	'label'       => __( 'H6', 'start' ),
	'section'     => 'headings_typography',
	'transport' => 'auto',
	'default'     => array(
		'font-size'      => '15px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => 'h6',
		),
	),
) );

// Blog Archive Title
Kirki::add_field( 'start', array(
	'type'        => 'typography',
	'settings'    => 'blog_title',
	'label'       => __( 'Title', 'start' ),
	'section'     => 'blog_typography',
	'transport' => 'auto',
	'default'     => array(
		'font-family'    => '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif',
		'font-size'      => '48px',
		'line-height'    => '1',
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => '.start_blog .entry-title',
		),
	),
) );

// Blog Meta
Kirki::add_field( 'start', array(
	'type'        => 'typography',
	'settings'    => 'blog_meta',
	'label'       => __( 'Meta', 'start' ),
	'section'     => 'blog_typography',
	'transport' => 'auto',
	'default'     => array(
		'font-family'    => '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif',
		'font-size'      => '16px',
		'line-height'    => '1',
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => '.start_blog .entry-meta',
		),
	),
) );

// Blog Content
Kirki::add_field( 'start', array(
	'type'        => 'typography',
	'settings'    => 'blog_content',
	'label'       => __( 'Content', 'start' ),
	'section'     => 'blog_typography',
	'transport' => 'auto',
	'default'     => array(
		'font-family'    => '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif',
		'font-size'      => '17px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'text-transform' => 'none',
	),
	'output'      => array(
		array(
			'element' => '.start_blog .entry-content',
		),
	),
) );

// Blog Button Typography
Kirki::add_field( 'start', array(
    'type'        => 'typography',
    'settings'    => 'blog_btn_typography',
    'label'       => __( 'Button Typography', 'start' ),
    'section'     => 'blog_typography',
    'transport' => 'auto',
    'default'     => array(
        'font-family'    => '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif',
        'font-size'      => '16px',
        'line-height'    => '1.5',
        'letter-spacing' => '0',
        'text-transform' => 'none',
    ),
    'output'      => array(
        array(
            'element' => '.start_blog .entry-content .read-more',
        ),
    ),
) );

// Sidebar Widgets Titles
Kirki::add_field( 'start', array(
    'type'        => 'typography',
    'settings'    => 'sidebar_widgets_title_typography',
    'label'       => __( 'Title', 'start' ),
    'section'     => 'sidebar_typography',
    'transport' => 'auto',
    'default'     => array(
        'font-family'    => '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif',
        'variant'        => 'regular',
        'font-size'      => '30px',
        'line-height'    => '1.5',
        'letter-spacing' => '0',
        'text-transform' => 'none',
        'text-align'     => 'left',
    ),
    'output'      => array(
        array(
            'element' => '#secondary .widget-title',
        ),
    ),
) );

// Sidebar Widgets Text 
Kirki::add_field( 'start', array(
    'type'        => 'typography',
    'settings'    => 'sidebar_widgets_text_typography',
    'label'       => __( 'Text', 'start' ),
    'section'     => 'sidebar_typography',
    'transport' => 'auto',
    'default'     => array(
        'font-family'    => '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif',
        'variant'        => 'regular',
        'font-size'      => '17px',
        'line-height'    => '1.5',
        'letter-spacing' => '0',
        'text-transform' => 'none',
        'text-align'     => 'left',
    ),
    'output'      => array(
        array(
            'element' => '#secondary .widget',
        ),
    ),
) );

// Footer Widgets Titles
Kirki::add_field( 'start', array(
	'type'        => 'typography',
	'settings'    => 'widgets_title_typography',
	'label'       => __( 'Title', 'start' ),
	'section'     => 'footer_typography',
	'transport' => 'auto',
	'default'     => array(
		'font-family'    => '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif',
		'variant'        => 'regular',
		'font-size'      => '30px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'text-transform' => 'none',
		'text-align'     => 'left',
	),
	'output'      => array(
		array(
			'element' => '.site-footer .widget-title',
		),
	),
) );

// Footer Widgets Text 
Kirki::add_field( 'start', array(
	'type'        => 'typography',
	'settings'    => 'widgets_text_typography',
	'label'       => __( 'Text', 'start' ),
	'section'     => 'footer_typography',
	'transport' => 'auto',
	'default'     => array(
		'font-family'    => '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif',
		'variant'        => 'regular',
		'font-size'      => '17px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'text-transform' => 'none',
		'text-align'     => 'left',
	),
	'output'      => array(
		array(
			'element' => '.site-footer .widget',
		),
	),
) );

// Copyright Typography 
Kirki::add_field( 'start', array(
	'type'        => 'typography',
	'settings'    => 'copyright_text_typography',
	'label'       => __( 'Copyright', 'start' ),
	'section'     => 'copyright_typography',
	'transport' => 'auto',
	'default'     => array(
		'font-size'      => '17px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'text-transform' => 'none',
		'text-align'     => 'center'
	),
	'output'      => array(
		array(
			'element' => '.site-footer .site-info',
		),
	),
) );





/*--------------------------------------------------------------
# Color Fields
--------------------------------------------------------------*/

// Body BG Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'body_bg',
	'label'       => __( 'Background Color', 'start' ),
	'section'     => 'base_color',
	'transport' => 'postMessage',
	'default'     => '#ffffff',
	'choices'     => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element'  => 'body',
			'property' => 'background-color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => 'body',
		'function' => 'css',
		'property' => 'background-color',
	),
	)
) );

// Body Text Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'body_text_color',
	'label'       => __( 'Text Color', 'start' ),
	'section'     => 'base_color',
	'transport' => 'postMessage',
	'default'     => '#3a3a3a',
	'output' => array(
		array(
			'element'  => 'body',
			'property' => 'color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => 'body',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );

// Link Color / Link Visited
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'link_color',
	'label'       => __( 'Link Color', 'start' ),
	'section'     => 'base_color',
	'transport' => 'postMessage',
	'default'     => '#1e73be',
	'output' => array(
		array(
			'element'  => 'a, a:visited',
			'property' => 'color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => 'a, a:visited',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );

// Link Hover Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'link_hover_color',
	'label'       => __( 'Link Hover Color', 'start' ),
	'section'     => 'base_color',
	'transport' => 'postMessage',
	'default'     => '#000000',
	'output' => array(
		array(
			'element'  => 'a:hover',
			'property' => 'color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => 'a:hover',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );

// Header BG Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'header_bg',
	'label'       => __( 'Header Background', 'start' ),
	'section'     => 'header_color',
	'transport' => 'postMessage',
	'default'     => '#E5E8E8',
	'choices'     => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element'  => '.site-header',
			'property' => 'background-color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.site-header',
		'function' => 'css',
		'property' => 'background-color',
	),
	)
) );

// Site Title Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'site_title_color',
	'label'       => __( 'Site Title Color', 'start' ),
	'section'     => 'header_color',
	'transport' => 'postMessage',
	'default'     => '#000000',
	'output' => array(
		array(
			'element'  => '.site-header .site-title a',
			'property' => 'color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.site-header .site-title a',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );

// Site Title Hover Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'site_title_hover_color',
	'label'       => __( 'Site Title Hover Color', 'start' ),
	'section'     => 'header_color',
	'transport' => 'postMessage',
	'default'     => '#000000',
	'output' => array(
		array(
			'element'  => '.site-header .site-title a:hover',
			'property' => 'color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.site-header .site-title a:hover',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );


// Site Description Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'site_description_color',
	'label'       => __( 'Site Description', 'start' ),
	'section'     => 'header_color',
	'transport' => 'postMessage',
	'default'     => '#000000',
	'output' => array(
		array(
			'element'  => '.site-description',
			'property' => 'color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.site-description',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );

// Top Level Menu
Kirki::add_field( 'start', array(
	'type'        => 'custom',
	'settings'    => 'top_level_headline',
	'section'     => 'primary_menu_color',
	'default'     => '<div style="border-bottom: 1px solid #d5d8dc;line-height: 2em;font-size: 20px;text-transform: capitalize; font-weight: 600;">' . esc_html__( 'Top Level Menu', 'start' ) . '</div>',
) );


// Menu BG Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'menu_bg',
	'label'       => __( 'Background Color', 'start' ),
	'section'     => 'primary_menu_color',
	'transport' => 'postMessage',
	'default'     => 'transparent',
	'choices'     => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element'  => '.startmenu > ul > li > a',
			'property' => 'background-color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.startmenu > ul > li > a',
		'function' => 'css',
		'property' => 'background-color',
	),
	)
) );

// Menu Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'menu_color',
	'label'       => __( 'Text Color', 'start' ),
	'section'     => 'primary_menu_color',
	'transport' => 'postMessage',
	'default'     => '#000000',
	'output'      => array(
		array(
			'element'  => '.startmenu > ul > li > a',
			'property' => 'color',
		),
	),
	'js_vars'   => array(
		array(
			'element'  => '.startmenu > ul > li > a',
			'function' => 'css',
			'property' => 'color',
		),
	)
) );

// Menu BG Hover Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'menu_hover_bg',
	'label'       => __( 'Hover Background', 'start' ),
	'section'     => 'primary_menu_color',
	'transport' => 'postMessage',
	'default'     => '#d5d8dc',
	'choices'     => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element'  => '.startmenu > ul > li:hover > a',
			'property' => 'background-color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.startmenu > ul > li:hover > a',
		'function' => 'css',
		'property' => 'background-color',
	),
	)
) );


// Menu Hover Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'menu_hover_color',
	'label'       => __( 'Hover Text Color', 'start' ),
	'section'     => 'primary_menu_color',
	'transport' => 'postMessage',
	'default'     => '#0088CC',
	'output'      => array(
	array(
		'element'  => '.startmenu > ul > li:hover > a',
		'property' => 'color',
	),
	),
	'js_vars'   => array(
	array(
		'element'  => '.startmenu > ul > li:hover > a',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );


// Menu BG Active Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'menu_active_bg',
	'label'       => __( 'Active Background', 'start' ),
	'section'     => 'primary_menu_color',
	'transport' => 'postMessage',
	'default'     => '#d5d8dc',
	'choices'     => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element'  => '.startmenu > ul > li.current-menu-item a',
			'property' => 'background-color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.startmenu > ul > li.current-menu-item a',
		'function' => 'css',
		'property' => 'background-color',
	),
	)
) );

// Menu Active Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'menu_active_color',
	'label'       => __( 'Active Text Color', 'start' ),
	'section'     => 'primary_menu_color',
	'transport' => 'postMessage',
	'default'     => '#0088CC',
	'output'      => array(
	array(
		'element'  => '.startmenu > ul > li.current-menu-item a',
		'property' => 'color',
	),
	),
	'js_vars'   => array(
	array(
		'element'  => '.startmenu > ul > li.current-menu-item a',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );

// Menu Icon Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'menu_icon_color',
	'label'       => __( 'Icon Color', 'start' ),
	'section'     => 'primary_menu_color',
	'transport' => 'postMessage',
	'default'     => '#000000',
	'output' => array(
		array(
			'element'  => '.startmenu > ul > li.has-sub > a:before, .startmenu ul ul li.has-sub > a:before, .startmenu > ul > li.has-sub > a:after, .startmenu ul ul li.has-sub > a:after',
			'property' => 'background-color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.startmenu > ul > li.has-sub > a:before, .startmenu ul ul li.has-sub > a:before, .startmenu > ul > li.has-sub > a:after, .startmenu ul ul li.has-sub > a:after',
		'function' => 'css',
		'property' => 'background-color',
	),
	)
) );

// Sub Menu
Kirki::add_field( 'start', array(
	'type'        => 'custom',
	'settings'    => 'submenu_headline',
	'section'     => 'primary_menu_color',
	'default'     => '<div style="border-bottom: 1px solid #d5d8dc;line-height: 2em;font-size: 20px;text-transform: capitalize;margin-top: 30px; font-weight: 600;">' . esc_html__( 'Submenu', 'start' ) . '</div>',
) );


// Menu Dropdown BG Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'menu_dropdown_bg',
	'label'       => __( 'Background Color', 'start' ),
	'section'     => 'primary_menu_color',
	'transport' => 'postMessage',
	'default'     => '#d5d8dc',
	'choices'     => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element'  => '.startmenu ul ul li a',
			'property' => 'background-color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.startmenu ul ul li a',
		'function' => 'css',
		'property' => 'background-color',
	),
	)
) );


// Menu Dropdown Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'menu_dropdown_color',
	'label'       => __( 'Text Color', 'start' ),
	'section'     => 'primary_menu_color',
	'transport' => 'postMessage',
	'default'     => '#000000',
	'output'      => array(
	array(
		'element'  => '.startmenu ul ul li a',
		'property' => 'color',
	),
	),
	'js_vars'   => array(
	array(
		'element'  => '.startmenu ul ul li a',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );

// Menu Dropdown BG Hover Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'menu_dropdown_bg_hover',
	'label'       => __( 'Hover Background', 'start' ),
	'section'     => 'primary_menu_color',
	'transport' => 'postMessage',
	'default'     => '#c7ccd0',
	'choices'     => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element'  => '.startmenu ul ul li:hover > a, .startmenu ul ul li a:hover',
			'property' => 'background-color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.startmenu ul ul li:hover > a, .startmenu ul ul li a:hover',
		'function' => 'css',
		'property' => 'background-color',
	),
	)
) );


// Menu Dropdown Hover Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'menu_dropdown_hover_color',
	'label'       => __( 'Hover Text Color', 'start' ),
	'section'     => 'primary_menu_color',
	'transport' => 'postMessage',
	'default'     => '#0088CC',
	'output' => array(
		array(
			'element'  => '.startmenu ul ul li:hover > a, .startmenu ul ul li a:hover',
			'property' => 'color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.startmenu ul ul li:hover > a, .startmenu ul ul li a:hover',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );

// Menu Dropdown Active BG
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'menu_dropdown_active_bg',
	'label'       => __( 'Active Background', 'start' ),
	'section'     => 'primary_menu_color',
	'transport' => 'postMessage',
	'default'     => '#c7ccd0',
	'choices'     => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element'  => '.startmenu ul ul li.current-menu-item a',
			'property' => 'background-color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.startmenu ul ul li.current-menu-item a',
		'function' => 'css',
		'property' => 'background-color',
	),
	)
) );

// Menu Dropdown Active Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'menu_dropdown_active_color',
	'label'       => __( 'Active Text Color', 'start' ),
	'section'     => 'primary_menu_color',
	'transport' => 'postMessage',
	'default'     => '#0088CC',
	'output' => array(
		array(
			'element'  => '.startmenu ul ul li.current-menu-item a',
			'property' => 'color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.startmenu ul ul li.current-menu-item a',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );


// Mobile Menu
Kirki::add_field( 'start', array(
	'type'        => 'custom',
	'settings'    => 'mobilemenu_headline',
	'section'     => 'primary_menu_color',
	'default'     => '<div style="border-bottom: 1px solid #d5d8dc;line-height: 2em;font-size: 20px;text-transform: capitalize;margin-top: 30px; font-weight: 600;">' . esc_html__( 'Mobile Menu', 'start' ) . '</div>',
) );

// Mobile Menu Toggle Bg Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'mobile_menu_toggle_bg_color',
	'label'       => __( 'Background Color', 'start' ),
	'section'     => 'primary_menu_color',
	'transport' => 'postMessage',
	'default'     => '#000000',
	'choices'     => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element'  => '.startmenu.small-screen #menu-button, .startmenu.small-screen .submenu-button',
			'property' => 'background-color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.startmenu.small-screen #menu-button, .startmenu.small-screen .submenu-button',
		'function' => 'css',
		'property' => 'background-color',
	),
	)
) );


// Mobile Menu Toggle Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'mobile_menu_toggle_color',
	'label'       => __( 'Toggle Text Color', 'start' ),
	'section'     => 'primary_menu_color',
	'transport' => 'postMessage',
	'default'     => '#ffffff',
	'output' => array(
		array(
			'element'  => '.startmenu.small-screen #menu-button',
			'property' => 'color',
		),
		array(
			'element'  => '.startmenu.small-screen .submenu-button:before',
			'property' => 'background',
		),
		array(
			'element'  => '.startmenu.small-screen .submenu-button:after',
			'property' => 'background',
		),
		array(
			'element'  => '.startmenu.small-screen #menu-button:after',
			'property' => 'border-color',
		),
		array(
			'element'  => '.startmenu.small-screen #menu-button.menu-opened:before',
			'property' => 'background-color',
		),
		array(
			'element'  => '.startmenu.small-screen #menu-button.menu-opened:after',
			'property' => 'background-color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.startmenu.small-screen #menu-button',
		'function' => 'css',
		'property' => 'color',
	),
	array(
		'element'  => '.startmenu.small-screen .submenu-button:before',
		'function' => 'css',
		'property' => 'background',
	),
	array(
		'element'  => '.startmenu.small-screen .submenu-button:after',
		'function' => 'css',
		'property' => 'background',
	),
	array(
		'element'  => '.startmenu.small-screen #menu-button:after',
		'function' => 'css',
		'property' => 'border-color',
	),
	array(
		'element'  => '.startmenu.small-screen #menu-button.menu-opened:before',
		'function' => 'css',
		'property' => 'background-color',
	),
	array(
		'element'  => '.startmenu.small-screen #menu-button.menu-opened:after',
		'function' => 'css',
		'property' => 'background-color',
	),
	)
) );

// Mobile Menu Submenu Open BG Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'mobile_menu_open_bg_color',
	'label'       => __( 'Open Icon BG Color', 'start' ),
	'section'     => 'primary_menu_color',
	'transport' => 'postMessage',
	'default'     => '#000000',
	'choices'     => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element'  => '.startmenu.small-screen .submenu-button.submenu-opened',
			'property' => 'background-color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.startmenu.small-screen .submenu-button.submenu-opened',
		'function' => 'css',
		'property' => 'background-color',
	),
	)
) );


// Mobile Menu Border Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'mobile_menu_border_color',
	'label'       => __( 'Border Color', 'start' ),
	'section'     => 'primary_menu_color',
	'transport' => 'postMessage',
	'default'     => 'rgba(120, 120, 120, 0.2)',
	'choices'     => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element'  => '.startmenu.small-screen ul li',
			'property' => 'border-color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.startmenu.small-screen ul li',
		'function' => 'css',
		'property' => 'border-color',
	),
	)
) );

// H1 Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'h1_color',
	'label'       => __( 'H1', 'start' ),
	'section'     => 'headings_color',
	'transport' => 'postMessage',
	'default'     => '#000000',
	'output' => array(
		array(
			'element'  => 'h1',
			'property' => 'color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => 'h1',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );

// H2 Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'h2_color',
	'label'       => __( 'H2', 'start' ),
	'section'     => 'headings_color',
	'transport' => 'postMessage',
	'default'     => '#000000',
	'output' => array(
		array(
			'element'  => 'h2',
			'property' => 'color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => 'h2',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );

// H3 Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'h3_color',
	'label'       => __( 'H3', 'start' ),
	'section'     => 'headings_color',
	'transport' => 'postMessage',
	'default'     => '#000000',
	'output' => array(
		array(
			'element'  => 'h3',
			'property' => 'color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => 'h3',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );

// H4 Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'h4_color',
	'label'       => __( 'H4', 'start' ),
	'section'     => 'headings_color',
	'transport' => 'postMessage',
	'default'     => '#000000',
	'output' => array(
		array(
			'element'  => 'h4',
			'property' => 'color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => 'h4',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );

// H5 Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'h5_color',
	'label'       => __( 'H5', 'start' ),
	'section'     => 'headings_color',
	'transport' => 'postMessage',
	'default'     => '#000000',
	'output' => array(
		array(
			'element'  => 'h5',
			'property' => 'color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => 'h5',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );

// H6 Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'h6_color',
	'label'       => __( 'H6', 'start' ),
	'section'     => 'headings_color',
	'transport' => 'postMessage',
	'default'     => '#000000',
	'output' => array(
		array(
			'element'  => 'h6',
			'property' => 'color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => 'h6',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );

// Blog Title Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'blog_title_color',
	'label'       => __( 'Title', 'start' ),
	'section'     => 'blog_color',
	'transport' => 'postMessage',
	'default'     => '#000000',
	'output' => array(
		array(
			'element'  => '.start_blog .entry-title, .start_blog .entry-title a',
			'property' => 'color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.start_blog .entry-title, .start_blog .entry-title a',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );

// Blog Title Hover Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'blog_title_hover_color',
	'label'       => __( 'Title Hover', 'start' ),
	'section'     => 'blog_color',
	'transport' => 'postMessage',
	'default'     => '#1e73be',
	'output' => array(
		array(
			'element'  => '.start_blog .entry-title a:hover',
			'property' => 'color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.start_blog .entry-title a:hover',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );

// Blog Meta Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'blog_meta_color',
	'label'       => __( 'Meta', 'start' ),
	'section'     => 'blog_color',
	'transport' => 'postMessage',
	'default'     => '#94979c',
	'output' => array(
		array(
			'element'  => '.start_blog .entry-meta, .entry-meta span::after',
			'property' => 'color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.start_blog .entry-meta, .entry-meta span::after',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );

// Blog Meta Link Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'blog_meta_link__color',
	'label'       => __( 'Meta Link', 'start' ),
	'section'     => 'blog_color',
	'transport' => 'postMessage',
	'default'     => '#1e73be',
	'output' => array(
		array(
			'element'  => '.start_blog .entry-meta a',
			'property' => 'color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.start_blog .entry-meta a',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );

// Blog Meta Link Hover Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'blog_meta_hover_color',
	'label'       => __( 'Meta Hover', 'start' ),
	'section'     => 'blog_color',
	'transport' => 'postMessage',
	'default'     => '#000000',
	'output' => array(
		array(
			'element'  => '.start_blog .entry-meta a:hover',
			'property' => 'color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.start_blog .entry-meta a:hover',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );

// Blog Content Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'blog_content_color',
	'label'       => __( 'Content', 'start' ),
	'section'     => 'blog_color',
	'transport' => 'postMessage',
	'default'     => '#000000',
	'output' => array(
		array(
			'element'  => '.start_blog .entry-content',
			'property' => 'color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.start_blog .entry-content',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );

// Blog Button BG Color
Kirki::add_field( 'start', array(
    'type'        => 'color',
    'settings'    => 'blog_btn_bg_color',
    'label'       => __( 'Button Background', 'start' ),
    'section'     => 'blog_color',
    'transport' => 'postMessage',
    'default'     => '#e5e8e8',
    'output' => array(
        array(
            'element'  => '.start_blog .entry-content .read-more',
            'property' => 'background',
        ),
    ),
    'js_vars'   => array(
    array(
        'element'  => '.start_blog .entry-content .read-more',
        'function' => 'css',
        'property' => 'background',
    ),
    )
) );

// Blog Button Color
Kirki::add_field( 'start', array(
    'type'        => 'color',
    'settings'    => 'blog_btn_color',
    'label'       => __( 'Button Text Color', 'start' ),
    'section'     => 'blog_color',
    'transport' => 'postMessage',
    'default'     => '#000000',
    'output' => array(
        array(
            'element'  => '.start_blog .entry-content .read-more',
            'property' => 'color',
        ),
    ),
    'js_vars'   => array(
    array(
        'element'  => '.start_blog .entry-content .read-more',
        'function' => 'css',
        'property' => 'color',
    ),
    )
) );

// Blog Button Hover BG Color
Kirki::add_field( 'start', array(
    'type'        => 'color',
    'settings'    => 'blog_btn_hover_bg_color',
    'label'       => __( 'Button Hover Background', 'start' ),
    'section'     => 'blog_color',
    'transport' => 'postMessage',
    'default'     => '#cfd7cf',
    'output' => array(
        array(
            'element'  => '.start_blog .entry-content .read-more:hover',
            'property' => 'background',
        ),
    ),
    'js_vars'   => array(
    array(
        'element'  => '.start_blog .entry-content .read-more:hover',
        'function' => 'css',
        'property' => 'background',
    ),
    )
) );

// Blog Button Hover Color
Kirki::add_field( 'start', array(
    'type'        => 'color',
    'settings'    => 'blog_btn_hover_color',
    'label'       => __( 'Button Hover Text Color', 'start' ),
    'section'     => 'blog_color',
    'transport' => 'postMessage',
    'default'     => '#000000',
    'output' => array(
        array(
            'element'  => '.start_blog .entry-content .read-more:hover',
            'property' => 'color',
        ),
    ),
    'js_vars'   => array(
    array(
        'element'  => '.start_blog .entry-content .read-more:hover',
        'function' => 'css',
        'property' => 'color',
    ),
    )
) );

// Sidebar Title Color
Kirki::add_field( 'start', array(
    'type'        => 'color',
    'settings'    => 'sidebar_title_color',
    'label'       => __( 'Widget Title', 'start' ),
    'section'     => 'sidebar_color',
    'transport' => 'postMessage',
    'default'     => '#000000',
    'output' => array(
        array(
            'element'  => '#secondary .widget-title',
            'property' => 'color',
        ),
    ),
    'js_vars'   => array(
    array(
        'element'  => '#secondary .widget-title',
        'function' => 'css',
        'property' => 'color',
    ),
    )
) );

// Sidebar Text Color
Kirki::add_field( 'start', array(
    'type'        => 'color',
    'settings'    => 'sidebar_text_color',
    'label'       => __( 'Widget Text', 'start' ),
    'section'     => 'sidebar_color',
    'transport' => 'postMessage',
    'default'     => '#3a3a3a',
    'output' => array(
        array(
            'element'  => '#secondary .widget',
            'property' => 'color',
        ),
    ),
    'js_vars'   => array(
    array(
        'element'  => '#secondary .widget',
        'function' => 'css',
        'property' => 'color',
    ),
    )
) );

// Footer BG Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'footer_bg',
	'label'       => __( 'Footer Background', 'start' ),
	'section'     => 'footer_color',
	'transport' => 'postMessage',
	'default'     => '#E5E8E8',
	'choices'     => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element'  => '.site-footer .footer-area',
			'property' => 'background-color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.site-footer .footer-area',
		'function' => 'css',
		'property' => 'background-color',
	),
	)
) );

// Footer Title Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'footer_title_color',
	'label'       => __( 'Widget Title', 'start' ),
	'section'     => 'footer_color',
	'transport' => 'postMessage',
	'default'     => '#000000',
	'output' => array(
		array(
			'element'  => '.site-footer .widget-title',
			'property' => 'color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.site-footer .widget-title',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );

// Footer Text Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'footer_text_color',
	'label'       => __( 'Widget Text', 'start' ),
	'section'     => 'footer_color',
	'transport' => 'postMessage',
	'default'     => '#3a3a3a',
	'output' => array(
		array(
			'element'  => '.site-footer .widget',
			'property' => 'color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.site-footer .widget',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );

// Copyright BG Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'copyright_bg',
	'label'       => __( 'Copyright Background', 'start' ),
	'section'     => 'Copyright_color',
	'transport' => 'postMessage',
	'default'     => '#D5D8DC',
	'choices'     => array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element'  => '.site-info',
			'property' => 'background-color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.site-info',
		'function' => 'css',
		'property' => 'background-color',
	),
	)
) );


// Copyright Text Color
Kirki::add_field( 'start', array(
	'type'        => 'color',
	'settings'    => 'copyright_text_color',
	'label'       => __( 'Copyright Text Color', 'start' ),
	'section'     => 'Copyright_color',
	'transport' => 'postMessage',
	'default'     => '#3a3a3a',
	'output' => array(
		array(
			'element'  => '.site-footer .site-info',
			'property' => 'color',
		),
	),
	'js_vars'   => array(
	array(
		'element'  => '.site-footer .site-info',
		'function' => 'css',
		'property' => 'color',
	),
	)
) );